ant-swing-1.9.10-lp150.2.3.1.noarch.rpm


Advertisement

Description

ant-swing - Optional swing tasks for ant

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename ant-swing-1.9.10-lp150.2.3.1.noarch.rpm
Package name ant-swing
Package version 1.9.10
Package release lp150.2.3.1
Package architecture noarch
Package type rpm
Category Development/Tools/Building
Homepage http://ant.apache.org/
License Apache-2.0
Maintainer -
Download size 31.89 KB
Installed size 13.24 KB
Apache Ant is a Java-based build tool.
This package contains optional swing tasks for Apache Ant.

Alternatives

Package Version Architecture Repository
ant-swing-1.10.5-lp150.177.1.noarch.rpm 1.10.5 noarch JAVA
ant-swing-1.9.10-lp150.1.2.noarch.rpm 1.9.10 noarch openSUSE Oss
ant-swing - - -

Requires

Name Value
ant = 1.9.10

Provides

Name Value
ant-swing = 1.9.10-lp150.2.3.1
config(ant-swing) = 1.9.10-lp150.2.3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ant-swing-1.9.10-lp150.2.3.1.noarch.rpm
Source Package ant-1.9.10-lp150.2.3.1.src.rpm

Install Howto

Install ant-swing rpm package:

# zypper install ant-swing

Files

Path
/etc/ant.d/swing
/usr/share/ant/lib/ant-swing.jar
/usr/share/java/ant/ant-swing.jar

Changelog

2018-08-16 - jsikes@suse.de
- Add security patch to handle malformed zip file paths bsc#1100053:
* apache-ant-unzip-path.patch
* CVE-2018-10886
2018-02-22 - tchvatal@suse.com
- Add patch to run scripts with python3 if applicable bsc#1082202:
* ant-python3.patch
2018-02-22 - tchvatal@suse.com
- Update to 1.9.10:
* Various fixes for java10
* Small fixes all around
- Remove merged patch reproducible.patch
2017-10-28 - jengelh@inai.de
- Simply use find -delete over xargs.
- Make description neutral.
2017-10-24 - bwiedemann@suse.com
- Add reproducible-build-date.patch to allow to have fixed build dates
to make other packages build more reproducibly
2017-10-04 - fstrba@suse.com
- Remove dependency on java-1_5_0-gcj-compat-devel and build even
the bootstrap package with java source and target 1.6
2017-09-29 - fstrba@suse.com
- Don't condition the maven defines on release version, but on
_maven_repository being defined
2017-09-14 - fstrba@suse.com
- Allow bootstrapping with something else then
java-1_5_0-gcj-compat, but still require
java-1_5_0-gcj-compat-devel
- Added patch:
* apache-ant-bootstrap.patch
- Add -sourcepath option to fix build breakages with Eclipse
Compiler for Java(tm)
2017-09-06 - fstrba@suse.com
- Added patch:
* apache-ant-1.9.9-sourcetarget.patch
+ Change java source and target versions to 1.6 to allow build
with jdk9
- For non-boostrap builds require java-devel >= 1.6
2017-06-09 - tchvatal@suse.com
- Do not generate poms on ant core packages to reduce deps and
allow bootstrap

See Also

Package Description
ant-testutil-1.9.10-lp150.2.3.1.noarch.rpm Test utility classes for ant
apache-pdfbox-1.8.12-lp150.4.3.1.noarch.rpm Java PDF Library
apache-pdfbox-1.8.12-lp150.4.6.1.noarch.rpm Java PDF Library
apache-pdfbox-javadoc-1.8.12-lp150.4.3.1.noarch.rpm API Documentation for PDFBox
apache-pdfbox-javadoc-1.8.12-lp150.4.6.1.noarch.rpm API Documentation for PDFBox
apache2-2.4.33-lp150.2.14.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.33-lp150.2.17.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.33-lp150.2.3.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.33-lp150.2.6.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-2.4.33-lp150.2.9.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-devel-2.4.33-lp150.2.14.1.x86_64.rpm Apache 2 Header and Include Files
apache2-devel-2.4.33-lp150.2.17.1.x86_64.rpm Apache 2 Header and Include Files
apache2-devel-2.4.33-lp150.2.3.1.x86_64.rpm Apache 2 Header and Include Files
apache2-devel-2.4.33-lp150.2.6.1.x86_64.rpm Apache 2 Header and Include Files
apache2-devel-2.4.33-lp150.2.9.1.x86_64.rpm Apache 2 Header and Include Files
Advertisement
Advertisement